#include<iostream>
using namespace std;
int main(){
int n, mas[100], lm=0, razs=0;
cin>>n;
for(int i=0; i<n; i++)
{
    cin>>mas[i];
}
for(int i=1; i<n-1; i++)
{
    if(mas[i]>mas[i-1] && mas[i]>mas[i+1])
    {
        cout<<mas[i]<<endl;
        if(lm!=0)
        {
            if(razs>0 && razs>i-lm-1)
                razs=i-lm-1;
            if(razs==0)razs=i-lm-1;

        }
        else
            lm=i;
    }
}
cout<<razs<<endl;

return 0;
}
